Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePolygon Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePolygon:
[legend]
Collaboration diagram for Magick::DrawablePolygon:
[legend]

## Public Member Functions
| DrawablePolygon (const CoordinateList &coordinates_)
| DrawablePolygon (const DrawablePolygon &original_)
| ~DrawablePolygon (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1273 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePolygon() [1/2]

Magick::DrawablePolygon::DrawablePolygon | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 921 of file Drawable.cpp.

## ◆ DrawablePolygon() [2/2]

Magick::DrawablePolygon::DrawablePolygon | ( | const DrawablePolygon & | original_ | ) |

Definition at line 926 of file Drawable.cpp.

## ◆ ~DrawablePolygon()

Magick::DrawablePolygon::~DrawablePolygon | ( | void |  | ) |

Definition at line 931 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePolygon::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 954 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePolygon::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 935 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp